<?php
/*
Template Name: Portfolio
*/
?>
<?php global $more; $more = FALSE; ?>
<?php $theme_options = get_option('darknature'); ?>
<?php get_header() ?>
	<div id="portfolio-top"></div>
	<div id="portfolio-content">
    	<?php $paged = intval(get_query_var('paged'));
		$catname = single_cat_title('',false);
		$catid = get_cat_ID($catname);
        if ($catid) { $theme_options["cp_portfolio_cat"] = $catid; }
		query_posts('&cat='.$theme_options["cp_portfolio_cat"].'&posts_per_page='.$theme_options["cp_portfolio_number"].'&paged='.$paged );
        if( have_posts() ) { ?>
			<div id="portfolio-container">
            	<?php if ($catid) { ?>
                <h3 class="page-subtitle">Category: <?php single_cat_title() ?></h3>
                <div class="devider"></div>
                <?php } ?>
				<?php $count = 1;
				while( have_posts() ) : the_post();
                $postimage = get_post_meta($post->ID, "post-img", true);
				$postimageurl = get_post_meta($post->ID, "post-img-url", true);
                if ($postimage) { ?>
                    <div id="portfolio-item-<?php the_ID() ?>" class="portfolio-item">
                        <div class="post-img-container">
                        	<div class="post-img">
                            	<div class="eye"></div>
                            	<a href="<?php echo ($postimageurl)?$postimageurl:$postimage; ?>" rel="prettyPhoto[collection]" title="<?php echo $post->post_title; ?>">
                                	<img src="<?php echo $postimage; ?>" alt="<?php echo $post->post_title; ?>" />
                                </a>
                        	</div>
                        </div>
                        <div class="portfolio-text">
                            <h2 class="post-title"><a href="<?php the_permalink() ?>" title="<?php the_title() ?>" rel="bookmark"><?php the_title() ?></a></h2>								
                            <div class="post-meta">
                            	Placed under:
                                <?php $categories = wp_get_post_categories($post->ID);
									$catsep = '';
									foreach ($categories as $cat) {
										echo $catsep;
										$catname = get_cat_name($cat);
										?><a title="<?php echo $catname; ?>" href="<?php echo get_category_link($cat); ?>"><?php echo $catname; ?></a></li><?php
										$catsep = ', ';
									}
								?>
                            </div>
                            <div class="post-content">
                                <?php the_content('Read more'); ?>
                            </div>
                        </div>
                    </div><!-- .portfolio-item -->
                    <?php if ($count % 3 == 0) { ?>
						<div class="item-devider"></div>
					<?php }
                    $count++; ?>
                <?php }
                endwhile; ?>
            </div>
			<div class="navigation">
				<div class="navleft"><?php next_posts_link('&laquo; Older Posts') ?></div>
				<div class="navright"><?php previous_posts_link('Newer Posts &raquo;') ?></div>
			</div>
        <?php }
		wp_reset_query(); ?>
	</div><!-- #portfolio-content -->
    <div id="portfolio-bottom"></div>
<?php get_footer() ?>